Get matched order by ID.
curl --request GET \
--url https://{environment}.garden.finance/v2/orders/{order} \
--header 'garden-app-id: <api-key>'import requests
url = "https://{environment}.garden.finance/v2/orders/{order}"
headers = {"garden-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'garden-app-id': '<api-key>'}};
fetch('https://{environment}.garden.finance/v2/orders/{order}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"order_id": "<string>",
"created_at": "<string>",
"source_swap": {
"created_at": "<string>",
"swap_id": "<string>",
"initiator": "<string>",
"redeemer": "<string>",
"delegate": "<string>",
"timelock": 123,
"filled_amount": "<string>",
"asset_price": 123,
"amount": "<string>",
"secret_hash": "<string>",
"secret": "<string>",
"instant_refund_tx": "<string>",
"initiate_tx_hash": "<string>",
"redeem_tx_hash": "<string>",
"refund_tx_hash": "<string>",
"initiate_block_number": "<string>",
"redeem_block_number": "<string>",
"refund_block_number": "<string>",
"required_confirmations": 123,
"current_confirmations": 123,
"initiate_timestamp": "<string>",
"redeem_timestamp": "<string>",
"refund_timestamp": "<string>"
},
"destination_swap": {
"created_at": "<string>",
"swap_id": "<string>",
"initiator": "<string>",
"redeemer": "<string>",
"delegate": "<string>",
"timelock": 123,
"filled_amount": "<string>",
"asset_price": 123,
"amount": "<string>",
"secret_hash": "<string>",
"secret": "<string>",
"instant_refund_tx": "<string>",
"initiate_tx_hash": "<string>",
"redeem_tx_hash": "<string>",
"refund_tx_hash": "<string>",
"initiate_block_number": "<string>",
"redeem_block_number": "<string>",
"refund_block_number": "<string>",
"required_confirmations": 123,
"current_confirmations": 123,
"initiate_timestamp": "<string>",
"redeem_timestamp": "<string>",
"refund_timestamp": "<string>"
},
"nonce": "<string>",
"deadline": 123,
"affiliate_fees": [
{
"address": "<string>",
"fee": 10
}
],
"integrator": "<string>",
"version": "<string>",
"solver_id": "<string>"
},
"error": "<string>"
}Orders
Order
GET
/
orders
/
{order}
Get matched order by ID.
Retrieve detailed information about a specific order by its ID.
Authorizations
Path Parameters
Was this page helpful?
⌘I